in scala.collection.immutable
class UnbalancedTreeMap

[scala.serializable]
`class` UnbalancedTreeMap [A, B]
  `extends` java.lang.Object
  `with` scala.collection.immutable.Map[A, B]
  `with` scala.ScalaObject

  This class implements immutable maps using a tree.

Author:
  Martin Odersky
Version:
  1.1, 02/01/2007

Direct Known Subclasses:
  Node

Class Summary
`protected` | `class` Node [B]

Constructor Summary
| `def` this ()(view$2: (A) => scala.Ordered[A])

Def Summary
| `def` - (key: A) : scala.collection.immutable.UnbalancedTreeMap[A, B]
`protected` | `def` add [B1 >: B] (key: A, value: B1) : scala.collection.immutable.UnbalancedTreeMap.Node[B1]
`override` | `def` apply (key: A) : B Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.
| `def` elements : scala.Iterator[scala.Tuple2[A, B]] Creates a new iterator over all elements contained in this object.
| `def` empty [C] : scala.collection.immutable.UnbalancedTreeMap[A, C] A factory to create empty maps of the same type of keys.
`protected` | `def` findValue (key: A) : scala.collection.immutable.UnbalancedTreeMap[A, B]
`override` | `def` get (key: A) : scala.Option[B] Check if this map maps `key` to a value and return the value if it exists.
| `def` insert [B1 >: B] (key: A, value: B1) : scala.collection.immutable.UnbalancedTreeMap.Node[B1] A new TreeMap with the entry added is returned, assuming that key is not in the TreeMap.
`override` | `def` isEmpty : scala.Boolean
`protected` | `def` key : A
| `def` size : scala.Int
`protected` | `def` smallest : scala.collection.immutable.UnbalancedTreeMap[A, B]
| `def` update [B1 >: B] (key: A, value: B1) : scala.collection.immutable.UnbalancedTreeMap.Node[B1] A new TreeMap with the entry added is returned, if key is not in the TreeMap, otherwise the key is updated with the new entry.
`protected` | `def` value : B

Def inherited from scala.collection.immutable.Map[A, B]
+ , +, +, ++, ++, -, -, --, --, empty, excl, excl, filter, incl, incl, mappingToString, transform, update

Constructor Detail

`def` this ()(view$2: (A) => scala.Ordered[A])

Def Detail

`def` - (key: A): scala.collection.immutable.UnbalancedTreeMap[A, B]

`protected def` add [B1 >: B](key: A, value: B1): scala.collection.immutable.UnbalancedTreeMap.Node[B1]

`override def` apply (key: A): B

  Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.

Parameters:
  `key -` the key
Returns:
  the value associated with the given key.
Throws:
  `Error("key -` not found").

`def` elements : scala.Iterator[scala.Tuple2[A, B]]

  Creates a new iterator over all elements contained in this object.

Returns:
  the new iterator

`def` empty [C]: scala.collection.immutable.UnbalancedTreeMap[A, C]

  A factory to create empty maps of the same type of keys.

`protected def` findValue (key: A): scala.collection.immutable.UnbalancedTreeMap[A, B]

`override def` get (key: A): scala.Option[B]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters:
  `key -` the key of the mapping of interest
Returns:
  the value of the mapping, if it exists

`def` insert [B1 >: B](key: A, value: B1): scala.collection.immutable.UnbalancedTreeMap.Node[B1]

  A new TreeMap with the entry added is returned, assuming that key is not in the TreeMap.

`override def` isEmpty : scala.Boolean

`protected def` key : A

`def` size : scala.Int

`protected def` smallest : scala.collection.immutable.UnbalancedTreeMap[A, B]

`def` update [B1 >: B](key: A, value: B1): scala.collection.immutable.UnbalancedTreeMap.Node[B1]

  A new TreeMap with the entry added is returned, if key is not in the TreeMap, otherwise the key is updated with the new entry.

Parameters:
  `key -` ...
Parameters:
  `value -` ...
Returns:
  ...

`protected def` value : B